<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }"></ngx-loading>
<div class="container p-t:10">
    <div class="row">
        <div class="col-md-12">
            <form class="form-inline">
                <input class="form-control col-md-5" type="text" placeholder="Search..."
                [(ngModel)]="searchModel" [ngModelOptions]="{standalone: true}" (keyup)='search()' />

            </form>
        </div>
    </div>
	<div class="row m-t:3">
		<div class="col-md-12">
			<table class="table table-bordered">
				<thead>
					<tr>
						<th>Name</th>
						<th>Status</th>
						<th>Species</th>
						<th>Gender</th>
					</tr>
				</thead>
				<tbody>
					<tr *ngFor="let character of data; let i = index">
            <td>
              <img [defaultImage]="defaultImage" [lazyLoad]="character.image" alt="Avatar" class="avatar">
               {{character.name}}
              </td>
            <td>{{character.status}}</td>
            <td>{{character.species}}</td>
            <td>{{character.gender}}</td>
					</tr>
				</tbody>
			</table>
			<nav class="pagination-sm" *ngIf="infoCount">
				<ul class="pagination">
					<li class="page-item">
            <a class="page-link" href="javascript:void(0)" ria-label="Previous"
            *ngIf="pagination.currentPage > 1" (click)="previous()"> <span aria-hidden="true">&laquo;</span></a>
          </li>

          <li class="page-item" *ngFor="let number of fakeArray(infoCount.pages)"
          [ngClass]="pagination.currentPage === number ? 'active' : ''">
						<a class="page-link" href="javascript:void(0)" (click)="paginate(number)">{{number}}</a>
					</li>
					<li class="page-item">
            <a class="page-link" href="javascript:void(0)" aria-label="Next"
            *ngIf="pagination.currentPage < infoCount.pages" (click)="next()"> <span aria-hidden="true">&raquo;</span></a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
